KOMODO-CLI(1)

NAME
komodo-cli - manual page for komodo-cli v3.3.0

DESCRIPTION
Komodo RPC client version v3.3.0-bde7744d9

In order to ensure you are adequately protecting your privacy when using Hush, please see <https://myhush.org/security/>.

  Usage:

komodo-cli [options] <command> [params]
    Send command to Komodo

komodo-cli [options] help
    List commands

komodo-cli [options] help <command>
    Get help for a command

OPTIONS

-?

    This help message

-conf=<file>

    Specify configuration file (default: komodo.conf)

-datadir=<dir>

    Specify data directory

-testnet

    Use the test network

-regtest

    Enter regression test mode, which uses a special chain in which blocks can be solved instantly. This is intended for regression testing tools and app development.

-rpcconnect=<ip>

    Send commands to node running on <ip> (default: 127.0.0.1)

-rpcport=<port>

    Connect to JSON-RPC on <port> (default: 8232 or testnet: 18232)

-rpcwait

    Wait for RPC server to start

-rpcuser=<user>

    Username for JSON-RPC connections

-rpcpassword=<pw>

    Password for JSON-RPC connections

-rpcclienttimeout=<n>

    Timeout in seconds during HTTP requests, or 0 for no timeout. (default: 900)

-stdin

    Read extra arguments from standard input, one per line until EOF/Ctrl-D (recommended for sensitive information such as passphrases)

COPYRIGHT
In order to ensure you are adequately protecting your privacy when using Hush, please see <https://myhush.org/security/>. Copyright (C) 2009-2019 The Bitcoin Core Developers Copyright (C) 2015-2019 The Zcash Developers Copyright (C) 2015-2019 jl777 and SuperNET developers Copyright (C) 2018-2019 The Hush developers This is experimental software!!! Distributed under the MIT software license, see the accompanying file COPYING or <http://www.opensource.org/licenses/mit-license.php>. This product includes software developed by the OpenSSL Project for use in the OpenSSL Toolkit <https://www.openssl.org/> and cryptographic software written by Eric Young.